1. DNS
  • Litemail
    • Litemail Docs
    • Users
      • Retrieve User Details
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • Domains
      • Retrieve Domains
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail AI
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • DNS
      • Get DNS Records
      • Add DNS Record
      • Update DNS Record
      • Delete DNS Record
    • apikeys testing
      • generate key by login first
    • Connect Inbox
      • connect-inboxes
  • LiteMail API v3
    • Users
      • Retrieve User Details
    • Domains
      • Retrieve Domains
      • Purchase/Register a New Domain
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Get Domain Details
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
      • Get Warmup Analytics for Mailboxes
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Wallet
      • Add Credit to Wallet
      • List Billing Invoices
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
      • Connect Inboxes (Export to Platform)
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • DNS
      • Get DNS Records
        GET
      • Create DNS Record
        POST
      • Update DNS Record
        PUT
      • Delete DNS Record
        DELETE
    • Tags
      • List Tags
      • Create Tag
      • Update Tag
      • Delete Tag
    • MailBoxes
      • Assign Mailboxes to Domain
    • Placement
      • List Placement Tests
      • Create Placement Test
    • Dashboard
      • Get Dashboard Overview
      • Get Mailbox Status Counts
    • Export History
      • List Export History
      • Create Export History Record
    • Cloudflare
      • Get Cloudflare Credentials & Zones
      • Save Credentials or Connect Domain
    • Webhooks
      • List Registered Webhooks
      • Register a New Webhook Endpoint
      • Delete a Webhook
  1. DNS

Create DNS Record

POST
/v1/dns-records
Create a new DNS record for a domain. If the domain uses Cloudflare, the record is also synced to Cloudflare. You may use either name or host (aliases), and either type or recordType (aliases). At least one of each pair is required.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/jsonRequired

Example
{
    "domain": "b2bforcelabs.com",
    "type": "TXT",
    "recordType": "TXT",
    "name": "@",
    "host": "@",
    "value": "v=spf1 include:_spf.google.com ~all",
    "ttl": 3600,
    "priority": null
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/dns-records' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "b2bforcelabs.com",
    "type": "TXT",
    "recordType": "TXT",
    "name": "@",
    "host": "@",
    "value": "v=spf1 include:_spf.google.com ~all",
    "ttl": 3600,
    "priority": null
}'

Responses

🟢201
application/json
DNS record created successfully
Bodyapplication/json

Example
{
    "status": 201,
    "message": "DNS record created successfully.",
    "data": {
        "id": "clz1abc4",
        "cloudflareId": "abc123cloudflare",
        "type": "TXT",
        "recordType": "TXT",
        "name": "@",
        "host": "@",
        "value": "v=spf1 include:_spf.google.com ~all",
        "ttl": 3600,
        "priority": null,
        "domainId": "cmg9l788c0001la04ctg7t1j4"
    }
}
🟠400
🟠401
🟠404
🔴500
Previous
Get DNS Records
Next
Update DNS Record
Built with